glibmm: Gio::DBus::AnnotationInfo Class Reference

glibmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::DBus::AnnotationInfo Class Reference
D-Bus API

Stores information about an annotation. More...

`#include <giomm/dbusintrospection.h>`

List of all members.

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusAnnotationInfo* | gobj ()
| Provides access to the underlying C instance.
const GDBusAnnotationInfo* | gobj () const
| Provides access to the underlying C instance.
GDBusAnnotationInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::ustring | info_lookup (const Glib::ArrayHandle< Glib::RefPtr< AnnotationInfo > >& annotations, const Glib::ustring& name)
| Looks up the value of an annotation.
## Protected Member Functions
| AnnotationInfo ()
void | operator delete (void*, size_t)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::DBus::AnnotationInfo > | wrap (GDBusAnnotationInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Stores information about an annotation.

Since glibmm 2.28:

## Constructor & Destructor Documentation

Gio::DBus::AnnotationInfo::AnnotationInfo | ( |  | ) | `[protected]`

## Member Function Documentation

GDBusAnnotationInfo* Gio::DBus::AnnotationInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GDBusAnnotationInfo* Gio::DBus::AnnotationInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusAnnotationInfo* Gio::DBus::AnnotationInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Glib::ustring Gio::DBus::AnnotationInfo::info_lookup | ( | const Glib::ArrayHandle< Glib::RefPtr< AnnotationInfo > >& | annotations,
|  | const Glib::ustring& | name
| ) |  | `[static]`

Looks up the value of an annotation.

This cost of this function is O(n) in number of annotations.

Since glibmm 2.26:

Parameters:

  annotations | A `0`-terminated array of annotations or `0`.
  name | The name of the annotation to look up.

Returns:
  The value or `0` if not found. Do not free, it is owned by annotations.

void Gio::DBus::AnnotationInfo::operator delete | ( | void * | ,
|  | size_t |
| ) |  | `[protected]`

void Gio::DBus::AnnotationInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBus::AnnotationInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::AnnotationInfo > wrap | ( | GDBusAnnotationInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.